/*
 * strutils.c
 *
 *  Created on: 16/12/2012
 *      Author: javier
 */

// implementation of strupr
char *strupr(char *txt) {
	char dif = 'A' - 'a';

	while (*txt != '\0') {
		if (*txt >= 'a' && *txt <= 'z') {
			*txt += dif;
		}
		txt++;
	}
	return txt;
}


int strcmpi(char *a, char *b)
{
	char dif = 'A' - 'a';
	char valA, valB;
	int i = 0;

	while( *a != '\0' && *b != '\0') {
		i++;
		valA = *a;
		if (*a >= 'a' && *a <= 'z') valA += dif;
		valB = *b;
		if (*b >= 'a' && *b <= 'z') valB += dif;
		if( valA != valB ) return i;
		a++;
		b++;
	}
	if( *a != '\0' || *b != '\0' ) return i;
	return 0;
}


int strncmpi(char *a, char *b, int n)
{
	char dif = 'A' - 'a';
	char valA, valB;
	int i = 0;

	while( *a != '\0' && *b != '\0') {
		i++;
		valA = *a;
		if (*a >= 'a' && *a <= 'z') valA += dif;
		valB = *b;
		if (*b >= 'a' && *b <= 'z') valB += dif;
		if( valA != valB ) return i;
		if( i == n ) return 0;
		a++;
		b++;
	}
	if( *a != '\0' || *b != '\0' ) return i;
	return 0;
}
